.calculator {
}

	.calculator__type-switcher-wr {
		align-items: center;
		display: -webkit-flex;
		display: flex;
		justify-content: center;
		margin-bottom: 52px;
		padding-left: 40px;
	}

		.calculator__type-switcher-wr input[type=radio] {
			display: none;
		}

		.calculator__type-switcher-wr label {
			color: #212c37;
			cursor: pointer;
		}

			.calculator__type-switcher-wr span {
				border-bottom: 1px dashed #212c37;
				color: #212c37;
				text-transform: uppercase;
				transition: border-color .3s, color .3s;
			}

				.calculator__type-switcher-wr label:hover span,
				.calculator__type-switcher-wr input[type=radio]:checked + label span {
					color: #ee1d24;
					border-bottom: transparent;
				}

			.calculator__type-switcher-wr svg {
				fill: #212c37;
				height: 60px;
				margin-right: 32px;
				transition: fill .3s;
				width: 60px;
			}

				.calculator__type-switcher-wr label:hover svg,
				.calculator__type-switcher-wr input[type=radio]:checked + label svg {
					fill: #ee1d24;
				}

				.calculator__type-switcher-wr label:hover svg,
				.calculator__type-switcher-wr input[type=radio]:checked + svg {
					fill: #ee1d24;
				}

		.calculator__type-switcher {
			background: #fff;
			border-radius: 13px;
			display: inline-block;
			height: 26px;
			margin: 0 62px;
			position: relative;
			width: 56px;
		}

			.calculator__type-switcher:after {
				background: #ed2229;
				background: -moz-linear-gradient(top, #ed2229 0%, #c71117 100%);
				background: -webkit-linear-gradient(top, #ed2229 0%,#c71117 100%);
				background: linear-gradient(to bottom, #ed2229 0%,#c71117 100%);
				border-radius: 50%;
				content: '';
				filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ed2229', endColorstr='#c71117',GradientType=0 );
				height: 30px;
				position: absolute;
				left: 28px;
				top: -2px;
				transition: left .3s;
				width: 30px;
			}

				input[type=radio]:checked ~ .calculator__type-switcher:after {
					left: -2px;
					right: auto;
				}

	.calculator__fields {
	}

		.calculator__item {
			background: #fff;
			min-height: 100px;
			padding: 14px 22px;
			display: -webkit-flex;
			display: flex;
			align-items: center;
			margin-bottom: 30px;
		}

			.calculator__photo {
				text-align: center;
				width: 16.5%;
			}

				.calculator__photo .svg-icon {
					fill: #e7131c;
					height: 70px;
					margin: 0 auto;
					width: 70px;
				}

			.calculator__name {
				font-size: 18px;
				padding: 0 8px;
				width: 52.5%;
			}

				.calculator__name--small {
					width: 32.5%;
				}

			.calculator__control {
				border-left: 1px solid #ebebeb;
				text-align: center;
				width: 31%;
			}

				.calculator__control--big {
					width: 51%;
				}

				.calculator__control-name {
					color: #3d4851;
					display: block;
					font-size: 13px;
					margin-bottom: 8px;
				}

				.calculator__control input[type=checkbox]:not(:checked),
				.calculator__control input[type=checkbox]:checked {
					height: 34px;
					position: relative;
					vertical-align: middle;
					width: 42px;
				}

				.calculator__control input[type=checkbox]:not(:checked):before,
				.calculator__control input[type=checkbox]:checked:before {
					background: #fbfbfc;
					border: 1px solid #ebedef;
					content: "";
					height: 34px;
					position: absolute;
					width: 42px;
				}

				.calculator__control input[type=checkbox]:checked:after {
					border-bottom: 4px solid #3ebd29;
					border-left: 4px solid #3ebd29;
					content: "";
					height: 14px;
					margin: 7px 0 0 9px;
					position: absolute;
					-webkit-transform: rotate(-50deg);
					transform: rotate(-50deg);
					width: 22px;
				}

				.calculator__room-count-radio {
					display: none;
				}

				.calculator__room-count-label {
					background: #fbfbfc;
					border: 1px solid #ebedef;
					display: inline-block;
					height: 34px;
					line-height: 32px;
					margin: 2px;
					text-align: center;
					width: 42px;
				}

					.calculator__room-count-radio:checked + .calculator__room-count-label {
						border: 2px solid #ee1d24;
						line-height: 30px;
					}

	.calculator__userconsent {
		margin-bottom: 30px;
	}

	.calculator__result {
		font-size: 16px;
		padding: 20px 0;
	}

		.calculator__result-total {
		}

			.calculator__price-total {
				color: #ed1d24;
				font-size: 22px;
			}

	.calculator__order {
		margin: 40px 0;
	}

		.calculator__order input[type=text] {
			background: rgb(255,255,255);
			border: 1px solid #90959a;
			box-sizing: border-box;
			height: 48px;
			line-height: 20px;
			margin-bottom: 6px;
			padding: 0 20px;
			width: 100%;
		}

@media (max-width: 768px) {
	.calculator__type-switcher-wr {
		padding: 0;
	}

		.calculator__type-switcher-wr label {
			text-align: center;
			width: 80px;
		}

			.calculator__type-switcher-wr svg {
				height: 50px;
				margin-bottom: 22px;
				margin-right: 0;
				width: 50px;
			}

	.calculator__type-switcher {
		margin: 0 26px;
	}

	.calculator__item {
		flex-wrap: wrap;
		height: auto;
	}

		.calculator__photo {
			width: 33%;
		}

		.calculator__name {
			width: 66%;
		}

		.calculator__control {
			align-items: center;
			border-left: none;
			border-top: 1px solid #ebebeb;
			display: -webkit-flex;
			display: flex;
			margin-top: 14px;
			padding-top: 14px;
			width: 100%;
		}

			.calculator__control-name {
				margin: 0 10px 0 0;
			}

	.calculator__result-total {
	}
}

@media (max-width: 991px) {
		.calculator__result-total {
			margin-top: 40px;
		}
}